Summary:	Universal SSL tunnel
Summary(pl.UTF-8):	Uniwersalne narzędzie do bezpiecznego tunelowania
Name:		stunnel
Version:	4.56
Release:	1
License:	GPL v2+ with OpenSSL exception
Group:		Networking/Daemons
Source0:	ftp://ftp.stunnel.org/stunnel/%{name}-%{version}.tar.gz
# Source0-md5:	ac4c4a30bd7a55b6687cbd62d864054c
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.inet
Source4:	%{name}.tmpfiles
Patch0:		%{name}-authpriv.patch
Patch1:		%{name}-ac_fixes.patch
Patch2:		%{name}-am.patch
Patch3:		%{name}-libwrap_srv_name_log.patch
Patch4:		%{name}-config.patch
URL:		http://www.stunnel.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool >= 2:2.0
BuildRequires:	libwrap-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	openssl-tools >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(postun):	/sbin/ldconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Provides:	group(stunnel)
Provides:	user(stunnel)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The stunnel program is designed to work as SSL encryption wrapper
between remote client and local (inetd-startable) or remote server.
The concept is that having non-SSL aware daemons running on your
system you can easily setup them to communicate with clients over
secure SSL channel. stunnel can be used to add SSL functionality to
commonly used inetd daemons like POP-2, POP-3 and IMAP servers without
any changes in the programs' code.

%description -l pl.UTF-8
Stunnel umożliwia stawianie silnie kodowanych tuneli pomiędzy serwerem
a komputerem klienta. Przy jego użyciu można łatwo zrealizować usługi
pop3s lub HTTPS.

%package standalone
Summary:	stunnel acts as standalone server
Summary(pl.UTF-8):	stunnel działający jako samodzielny serwer
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts
Obsoletes:	stunnel-inetd

%description standalone
stunnel acts as standalone server.

%description standalone -l pl.UTF-8
stunnel działający jako samodzielny serwer.

%package inetd
Summary:	stunnel acts as inetd service
Summary(pl.UTF-8):	stunnel działający jako usługa inetd
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	rc-inetd
Obsoletes:	stunnel-standalone

%description inetd
stunnel acts as inetd service.

%description inetd -l pl.UTF-8
stunnel działający jako usługa inetd.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig/rc-inetd},%{_mandir}/{pl,fr}/man8,%{_var}/run/stunnel} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_mandir}/man8/stunnel.fr.8 $RPM_BUILD_ROOT%{_mandir}/fr/man8/stunnel.8
mv -f $RPM_BUILD_ROOT%{_mandir}/man8/stunnel.pl.8 $RPM_BUILD_ROOT%{_mandir}/pl/man8/stunnel.8
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/stunnel/stunnel.conf-sample $RPM_BUILD_ROOT%{_sysconfdir}/stunnel/stunnel.conf

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/stunnel
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/stunnel
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/stunnel
install %{SOURCE4} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

rm -rf $RPM_BUILD_ROOT%{_libdir}/stunnel
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/stunnel/stunnel.pem
rm -rf $RPM_BUILD_ROOT%{_docdir}/stunnel

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 130 stunnel
%useradd -u 130 -d /var/run/stunnel -s /bin/false -c "stunnel User" -g stunnel stunnel

%post	-p /sbin/ldconfig

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
	%userremove stunnel
	%groupremove stunnel
fi

%post standalone
/sbin/chkconfig --add stunnel
%service stunnel restart "stunnel daemon"

%preun standalone
if [ "$1" = "0" ]; then
	%service stunnel stop
	/sbin/chkconfig --del stunnel
fi

%post inetd
%service -q rc-inetd reload

%postun inetd
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
fi

%files
%defattr(644,root,root,755)
# note: this COPYING contains general information not GPL text
%doc AUTHORS BUGS COPYING CREDITS ChangeLog NEWS PORTS README TODO doc/en/* doc/stunnel.html tools/{ca.*,importCA.*}
%doc %lang(fr) doc/stunnel.fr.html
%doc %lang(pl) doc/pl/* doc/stunnel.pl.html
%attr(755,root,root) %{_bindir}/stunnel
%attr(755,root,root) %{_bindir}/stunnel3
%dir %{_sysconfdir}/stunnel
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/stunnel/stunnel.conf
%attr(750,stunnel,stunnel) %{_var}/run/stunnel
/usr/lib/tmpfiles.d/%{name}.conf
%{_mandir}/man8/stunnel.8*
%lang(fr) %{_mandir}/fr/man8/stunnel.8*
%lang(pl) %{_mandir}/pl/man8/stunnel.8*

%files standalone
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/stunnel
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/stunnel

%files inetd
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/stunnel
%changelog
* Sun Nov 17 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/stunnel.git;a=log;h=master

* Sun Nov 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 7bff5ce
- updated to 4.56 (fixes CVE-2013-1762)

* Fri Mar 23 2012 Jakub Bogusz <qboosh@pld-linux.org> fc04363
- updated to 4.53

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> 09138a7
- up to 4.52

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> bb489aa
- release 2

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> 57e3de3
- added tmpfiles config for systemd

* Mon Jan 30 2012 Jan Rękorajski <baggins@pld-linux.org> 0fc43f6
- add systemd tmpfiles config

* Fri Dec 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 48ab254
- updated to 4.50
- removed gethostbyname_is_in_libc_aka_no_libnsl patch (at last!)

* Sat Dec 03 2011 Jakub Bogusz <qboosh@pld-linux.org> ca6cded
- updated to 4.49

* Sat Nov 26 2011 Adam Gołębiowski <adamg@pld-linux.org> d5b639c
- updated to 4.48

* Sun Nov 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 70558e7
- updated to 4.46
- updated am,libwrap_srv_name_log patches
- stunnel.exe no longer in source tarball - dropped from doc

* Sun Sep 18 2011 areq <areq@pld-linux.org> 20f8f38
- 4.44

* Thu Sep 08 2011 areq <areq@pld-linux.org> 27d08f7
- 4.43

* Sun Jul 24 2011 areq <areq@pld-linux.org> cd684fa
- 4.40

* Sat Jul 09 2011 Adam Gołębiowski <adamg@pld-linux.org> 42de756
- updated to 4.39

* Fri Jul 01 2011 Adam Gołębiowski <adamg@pld-linux.org> 2497b50
- updated to 4.38

* Tue May 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 010d13f
- updated to 4.36
- updated libwrap_srv_name_log patch

* Wed Apr 27 2011 marti <marti@pld-linux.org> 0dab122
- up to 4.35

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 051cebd
- release 2

* Mon Sep 20 2010 blekot <blekot@pld-linux.org> 7c00cea
- up to 4.34

* Wed Jun 16 2010 areq <areq@pld-linux.org> a2bc52d
- 4.33

